Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Geschlossene Polylinie

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Geschlossene Polylinie (264 mal gelesen)
Constantin D.
Mitglied
Architekt

Sehen Sie sich das Profil von Constantin D. an!   Senden Sie eine Private Message an Constantin D.  Schreiben Sie einen Gästebucheintrag für Constantin D.

Beiträge: 3
Registriert: 08.03.2004

erstellt am: 08. Mrz. 2004 18:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo!

Ich habe in meinen Zeichnungen sehr häufig nicht geschlossene Polylinien, die ich zum Weiterbearbeiten schliessen muss. Das mache ich bisher immer sehr umständlich über die Eigenschaften (Ctrl+1) und dann eben von Hand auf geschlossen umstellen...
Kennt vielleicht jemand einen Befehl mit dem das etwas schnelle geht? (z.B. Polylinie wählen, Kürzel des Befhls tippen, Enter - und schon ist sie geschlossen...)


Gruss,
Constantin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 08. Mrz. 2004 18:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Constantin D. 10 Unities + Antwort hilfreich

^C^C_pedit _close  ?

als Button oder innerhalb des Object-Pop-Menüs

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Constantin D.
Mitglied
Architekt

Sehen Sie sich das Profil von Constantin D. an!   Senden Sie eine Private Message an Constantin D.  Schreiben Sie einen Gästebucheintrag für Constantin D.

Beiträge: 3
Registriert: 08.03.2004

erstellt am: 08. Mrz. 2004 18:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, das isses! Weisst Du auch noch, wie ich mir das als Tastaturkürzel einstellen kann?

Vielen Dank,
Constantin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, Monitore, ...

erstellt am: 08. Mrz. 2004 18:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Constantin D. 10 Unities + Antwort hilfreich

suche mal bei dir in der aktuellen mnu-Datei und ergänze sie durch

***POP510
**OBJECT_LWPOLYLINE
[Kontextmenü für PLINIEN-Objekt]
ID_Pedit [&Polylinie bearbeiten]^C^C_pedit
ID_PClose [Polylinie  &schließen]^C^C^P_pedit _c ^C^P
ID_POpen [Polylinie  &öffnen]^C^C^P_pedit _o ^C^P


für die "Funktion" muss du ein (defun c:XXXXXXXX(/) deklarieren. kann aber dies auch in der mnu machen da es sich IMHOIn my humble opinion = Meiner bescheidenen Meinung nach kaum lohnt diese befehlsmakro als lisp-datei abzuspeichern.

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 08. Mrz. 2004 18:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Constantin D. 10 Unities + Antwort hilfreich

Wie wäre es damit... erlaubt eine Objektauswahl von Polylinien, die dann alle in einem Rutsch geschlossen werden....

(defun C:CPL ( / AUSWAHL OBJEKT OBJEKTDATEN )
  (if (setq AUSWAHL (ssget '(( 0 . "POLYLINE,LWPOLYLINE" ))))
    (progn
      (princ "\nGewählte Polylinien werden geschlossen\n")
      (repeat (sslength AUSWAHL)
        (setq OBJEKT (ssname AUSWAHL 0))
        (setq OBJEKTDATEN (entget OBJEKT))
        (logior 1 (cdr(assoc 70 OBJEKTDATEN)))
        (setq OBJEKTDATEN(subst(cons 70 (logior 1 (cdr(assoc 70 OBJEKTDATEN))))
                              (assoc 70 OBJEKTDATEN)
                              OBJEKTDATEN))
        (entmod OBJEKTDATEN)
        (ssdel OBJEKT AUSWAHL)
      )
    )
  )
)
(princ"\nAufruf mit CPL")

Kannst dir ja dann die Funktion auf einen Button legen.::

------------------
- Thomas -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Constantin D.
Mitglied
Architekt

Sehen Sie sich das Profil von Constantin D. an!   Senden Sie eine Private Message an Constantin D.  Schreiben Sie einen Gästebucheintrag für Constantin D.

Beiträge: 3
Registriert: 08.03.2004

erstellt am: 08. Mrz. 2004 19:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank ihr beiden,

das ist noch besser, als ich mir das vorgestellt hatte!


Gruss,
Constantin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz